<% if service_provider.errors.any? %>
  <%= render :partial => '/shared/errors_listing', locals: {objekt: service_provider} %>
<% end %>
<div class="row"/>
  <div class="col-md-6 offset-md-3">
    <%= form_with(model: service_provider, local: true) do |form| %>
      <div class="form-group">
        <label>Name:</label>
        <%= form.text_field :name, :class => 'form-control' %>
      </div>
      <div class="form-group">
        <label>Email:</label>
        <%= form.email_field :email, :class => 'form-control' %>
      </div>
      <div class="form-group">
        <label>Description:</label>
        <%= form.text_area :Description, :class => 'form-control' %>
      </div>
      <div class="form-group">
        <label>Lowest Price:</label>
        <%= form.number_field :lowest_price, :class => 'form-control', :step => 'any' %>
      </div>
      <div class="form-group">
        <label>Max Speed:</label>
        <%= form.text_field :max_speed, :class => 'form-control' %>
      </div>
      <div class="form-group">
        <label>Contact No:</label>
        <%= form.text_field :contact_no, :class => 'form-control' %>
      </div>
      <div class="form-group">
        <label>URL:</label>
        <%= form.text_field :url, :class => 'form-control' %>
      </div>
      <div class="form-group">
        <label>Image:</label>
        <%= form.file_field :image, :class => 'form-control' %>
      </div>
      <div class="form-group">
        <div id = "rating-form"> <label> Rating</label> </div>
      </div>
      <div class="form-group margin-bottom-50px">
        <%= link_to "Cancel", service_providers_path, :class => 'btn btn-info' %>
        <%= form.submit 'Submit', :class => "btn btn-primary"  %>
      </div>  
    <% end %>
  </div>
</div>



